﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
tr {
    height: 10px
}
.left-align th,
.left-align td {
    text-align: left;
    padding: 8px;
}

@keyframes flash {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.flashing-text {
    color: #40E0D0; /* Turquoise */
    font-weight: bold;
    animation: flash 1s infinite; /* Flashes every second */
    text-align: center;
}
a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.right_align {
    text-align: right;
}

th {
    white-space: nowrap;
}

.disabled_div {
    pointer-events: none;
    opacity: 0.0;
}

.enabled_div {
    pointer-events: auto;
    opacity: 1;
}

.footer {
    display: flex;
    text-align: left;
    justify-content: flex-start;
    align-items: center;
    position: fixed;
    left: 0;
    bottom: 0;
    height: 30px;
    width: 100%;
    background-color: lightgrey;
    color: white;
}

.rlogo {
    /*display: block;*/
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: 20px;
    margin-right: 20px;
    height: 33px;
    width: auto;
}

.disableddiv {
    opacity: 0.3;
}

.enablediv {
    opacity: 1;
}
/* The container */
.containerc {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}



    /* Hide the browser's default checkbox */
    .containerc input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.containerc:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.containerc input:checked ~ .checkmark {
    /*background-color: #2196F3;*/
    background-color: red;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.containerc input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.containerc .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}



.inputs {
    width: 30px;
    height : 40px;
    margin: 0px;
    text-align: center;
}
.GRinputs {
   
    text-align:left;
}
#back2Top {
    width: 40px;
    line-height: 40px;
    overflow: hidden;
    z-index: 999;
    display: none;
    cursor: pointer;
    -moz-transform: rotate(270deg);
    -webkit-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
    position: fixed;
    bottom: 50px;
    right: 0;
    background-color: #DDD;
   /* color: #555;*/
   color:red;
    text-align: center;
    font-size: 30px;
    text-decoration: none;
}

    #back2Top:hover {
        background-color: #DDD;
        color: #000;
    }
/*w3 spinner*/
#loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Add animation to "page content" */
.animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
}

@-webkit-keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0px;
        opacity: 1
    }
}

@keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0;
        opacity: 1
    }
}
/*placeholder color-profile*/
/*::-webkit-input-placeholder {*/ /* Chrome */
    /*color: blue;
    transition: opacity 250ms ease-in-out;
}

:focus::-webkit-input-placeholder {
    opacity: 0.5;
}

:-ms-input-placeholder {*/ /* IE 10+ */
    /*color: red;
    transition: opacity 250ms ease-in-out;
}

:focus:-ms-input-placeholder {
    opacity: 0.5;
}

::-moz-placeholder {*/ /* Firefox 19+ */
    /*color: red;
    opacity: 1;
    transition: opacity 250ms ease-in-out;
}

:focus::-moz-placeholder {
    opacity: 0.5;
}

:-moz-placeholder {*/ /* Firefox 4 - 18 */
    /*color: red;
    opacity: 1;
    transition: opacity 250ms ease-in-out;
}

:focus:-moz-placeholder {
    opacity: 0.5;
}*/

input[type="text"]::-webkit-input-placeholder {
    color: teal;
    font-style:italic;
    opacity: 0.3;
}

input[type="text"]:-moz-placeholder { /* Firefox 18- */
    color: red !important;
    opacity: 0.3;
}

input[type="text"]::-moz-placeholder { /* Firefox 19+ */
    color: red !important;
    opacity: 0.3;
}

input[type="text"]:-ms-input-placeholder {
    color: red !important;
    opacity: 0.3;
}
